Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003916Zandronum[All Projects] Bugpublic2021-10-31 14:452021-12-04 18:13
ReporterTrillster 
Assigned ToKaminsky 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 10 HomeOS Version20H2
Product Version3.1-beta 
Target VersionFixed in Version3.1-beta 
Summary0003916: SetDeadSpectator fails with only 1 or 0 players in-game
DescriptionSetDeadSpectator now fails to either turn a player into a dead spectator or a dead spectator into a player if there are only 1 or 0 players in the match. This issue was introduced since 3.0, as this behavior doesn't exist in current stable.
Steps To ReproduceLoad SetDeadSpectatorTest.pk3, load into a Deathmatch match via Offline Skirmish, use "invuse" in console to activate a script that should set you to spectator, wait 2 seconds, then back to player. With no bots this will fail. Add a bot, see that the script sets you to spectator, but fails to set to player. Add another bot and see that both work.
Attached Files? file icon SetDeadSpectatorTest.pk3 [^] (1,949 bytes) 2021-10-31 14:45

- Relationships

-  Notes
User avatar (0021827)
Kaminsky (developer)
2021-11-07 20:34

This commit:https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/845474b7e3e7911da03a3e309563ce2d8a35203e [^] should address the issue of this ticket.
User avatar (0021845)
Kaminsky (developer)
2021-12-04 18:13

Marking this as resolved as Trillster confirmed that the issue has been fixed in the recent betas. In addition to the recently added "sv_respawndelaytime" CVar, they are happy with the changes.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-10-31 14:45 Trillster New Issue
2021-10-31 14:45 Trillster File Added: SetDeadSpectatorTest.pk3
2021-11-04 00:21 Kaminsky Status new => needs review
2021-11-07 20:34 Kaminsky Note Added: 0021827
2021-11-07 20:34 Kaminsky Assigned To => Kaminsky
2021-11-07 20:34 Kaminsky Status needs review => needs testing
2021-12-04 18:13 Kaminsky Note Added: 0021845
2021-12-04 18:13 Kaminsky Status needs testing => resolved
2021-12-04 18:13 Kaminsky Fixed in Version => 3.1-beta
2021-12-04 18:13 Kaminsky Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker